using System;
using System.Runtime.InteropServices;
using UnityEngine;

public class ONSPVersion : MonoBehaviour
{
	[DllImport("AudioPluginOculusSpatializer")]
	private static extern void ONSP_GetVersion(ref int Major, ref int Minor, ref int Patch);

	private void Awake()
	{
		int num = 0;
		int num2 = 0;
		int num3 = 0;
		ONSPVersion.ONSP_GetVersion(ref num, ref num2, ref num3);
		string message = string.Format("ONSP Version: {0:F0}.{1:F0}.{2:F0}", num, num2, num3);
		Debug.Log(message);
	}

	private void Start()
	{
	}

	private void Update()
	{
	}

	public const string strONSPS = "AudioPluginOculusSpatializer";
}
